
QGIS Application - Bug report #9457

while in atlas preview mode, newly inserted label item expressions not replaced with values 

2014-01-29 07:06 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18049

Description

Steps to reproduce:

1. Open a project that has an atlas setup

2. Open the composer in which you've set up an atlas

3. Making sure there's a label with an expression in it

4. Enable Preview Atlas

5. Notice the label item expression is properly replaced by the expression value(s)

6. While in Preview Atlas, add a new label item and set its content to use an expression

7. Notice how the new label item shows the expression, not replaced by its value(s)

Associated revisions

Revision 78ea81a6 - 2014-01-30 12:24 PM - Nyall Dawson

[composer] Set the expression context for labels created while atlas preview is enabled (fix #9457)

History

#1 - 2014-01-30 03:25 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"78ea81a6bd4342e197f95f099aa14a1104978a55".
